<html>
<head>
<meta charset="UTF-8">
<title>Ejemplo localStorage</title>
</head>
<script>
function guardar(){
var data = document.getElementById("texto").value;
localStorage.setItem("datos", data);
alert("Información Guardada");
document.getElementById("texto").value = null;}
function mostrar(){
document.getElementById("texto").value = localStorage.getItem("datos");}
function eliminar(){
localStorage.clear();
alert("Información Eliminada");
}
</script>
<body>
<input type="text" id="texto"><br>
<button onclick="guardar();">Guardar</button>
<button onclick="mostrar()">Mostrar</button>
<button onclick="eliminar()">Eliminar</button>

</body>
</html>